sccs-fix(1)

NAME
sccs-fix - remove the indicated delta from the SCCS history

SYNOPSIS
sccs fix [options] [file1 .. filen]

DESCRIPTION

The fix subcommand essentially removes the named delta, but it is only able to revise a leaf delta. It removes the indicated delta from the SCCS history, but leaves a working copy of the current version in the directory.

This is useful for fixing small compiler bugs, for incorporating trivial updates for which no audit record is needed, or for revising the delta commentary. sccs fix must be followed by a -r option, to specify the SID of the delta to remove. The indicated delta must be the most recent (leaf) delta in its branch. Use fix with caution since it does not leave an audit trail of differences (although the previous commentary is retained within the history file).

OPTIONS

-d  Fully discard the delta. By default only the file content for the related SID is removed and the delta table entry is changed to the new type `R'. When in discard mode, the delta table entry is also completely discarded.

-rsid
    Specify the SID (see sccs-get(1)).

EXAMPLES

To fix release 1.17 iof the file xec.c in the current directory, call:

    sccs fix -r1.17 xec.c

ENVIRONMENT VARIABLES

See environ(7) for descriptions of the following environment variables that affect the execution of sccs-fix(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccs fix will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

ATTRIBUTES

See attributes(7) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-add(1), sccs-admin(1), sccs-branch(1), sccs-cdc(1), sccs-check(1), sccs-clean(1), sccs-comb(1), sccs-commit(1), sccs-create(1), sccs-cvt(1), sccs-deledit(1), sccs-delget(1), sccs-delta(1), sccs-diffs(1), sccs-edit(1), sccs-editor(1), sccs-enter(1), sccs-get(1), sccs-help(1), sccs-histfile(1), sccs-info(1), sccs-init(1), sccs-istext(1), sccs-ldiffs(1), sccs-log(1), sccs-print(1), sccs-prs(1), sccs-prt(1), sccs-rcs2sccs(1), sccs-remove(1), sccs-rename(1), sccs-rmdel(1), sccs-root(1), sccs-sact(1), sccs-sccsdiff(1), sccs-status(1), sccs-tell(1), sccs-unedit(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(5), sccsfile(5).

BUGS

None currently known.

Mail bugs and suggestions to schilytools@mlists.in-berlin.de or open a ticket at https://codeberg.org/schilytools/schilytools/issues.

The mailing list archive may be found at:

https://mlists.in-berlin.de/mailman/listinfo/schilytools-mlists.in-berlin.de.

AUTHOR
sccs fix was originally written by Eric Allman at UCB in 1980. It was later maintained by various people at AT&T and Sun Microsystems. Since 2006, it has been maintained by Joerg Schilling and the schilytools project authors.

SOURCE DOWNLOAD
The source code for SCCS is included in the schilytools project and may be retrieved from the schilytools project at Codeberg at

https://codeberg.org/schilytools/schilytools.

The download directory is

https://codeberg.org/schilytools/schilytools/releases.